﻿using System;
using System.Collections.Generic;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using MyClient;
using VmManager;

namespace VmClientTests
{
    [TestClass]
    public class ClientTests
    {
        private Client client;
        [TestInitialize]
        public void Setup()
        {
            var manager = new Manager();
            client = new Client(manager);
        }

        [TestMethod]
        public void TestGetVMNames()
        {
            // Arrange

            // Act
            List<String> names = client.GetVMNames();

            // Assert
            Assert.AreEqual(2, names.Count);
        }

        [TestMethod]
        public void TestVerifyManager()
        {
            Assert.IsTrue(Client.VerifyManager());
        }
    }
}
