package MyClient;

import java.util.ArrayList;
import java.util.List;

import VmManager.Manager;
import VmManager.VM;

public class Client
{
    private Manager manager;
  
    public Client(Manager manager)
    {
        this.manager = manager;
    }
  
    public List<String> getVMNames()
    {
        List<String> result = new ArrayList<String>();
        for (VM vm : manager.getVMs())
        {
            result.add(vm.getName());
        }
        return result;
    }

    public static Boolean verifyManager()
    {
        return Manager.getVersion() >= 17;
    }
}
