package MyClientTests;

import static org.junit.Assert.*;

import java.util.List;

import org.junit.Test;

import MyClient.Client;
import VmManager.Manager;

public class ClientTests
{
    @Test
    public void testGetVMNamesUnmodified()
    {
        // Arrange
        Manager manager = new Manager();
        Client client = new Client(manager);

        // Act
        List<String> names = client.getVMNames();

        // Assert
        assertEquals(2, names.size());
    }
    
    @Test
    public void TestVerifyManager()
    {
        assertTrue(Client.verifyManager());
    }
}
